Bug 1247353 - [debuginfo package] nss ships executable source files
[debuginfo package] nss ships executable source files
Status: NEW
Product: Fedora
Classification: Fedora
Component: nss (Show other bugs)
27
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: nss-nspr-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-27 15:42 EDT by Christian Stadelmann
Modified: 2017-11-16 18:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Stadelmann 2015-07-27 15:42:42 EDT
Description of problem:
nss-debuginfo ships these executable source files:

nss/lib/libpkix/pkix/certsel/pkix_certselector.c
nss/lib/libpkix/pkix/certsel/pkix_certselector.h
nss/lib/libpkix/pkix/certsel/pkix_comcertselparams.c
nss/lib/libpkix/pkix/certsel/pkix_comcertselparams.h
nss/lib/libpkix/pkix/checker/pkix_basicconstraintschecker.c
nss/lib/libpkix/pkix/checker/pkix_basicconstraintschecker.h
nss/lib/libpkix/pkix/checker/pkix_certchainchecker.c
nss/lib/libpkix/pkix/checker/pkix_certchainchecker.h
nss/lib/libpkix/pkix/checker/pkix_expirationchecker.c
nss/lib/libpkix/pkix/checker/pkix_namechainingchecker.c
nss/lib/libpkix/pkix/checker/pkix_nameconstraintschecker.c
nss/lib/libpkix/pkix/checker/pkix_nameconstraintschecker.h
nss/lib/libpkix/pkix/checker/pkix_policychecker.c
nss/lib/libpkix/pkix/checker/pkix_policychecker.h
nss/lib/libpkix/pkix/checker/pkix_revocationchecker.c
nss/lib/libpkix/pkix/checker/pkix_revocationchecker.h
nss/lib/libpkix/pkix/checker/pkix_signaturechecker.c
nss/lib/libpkix/pkix/checker/pkix_signaturechecker.h
nss/lib/libpkix/pkix/checker/pkix_targetcertchecker.c
nss/lib/libpkix/pkix/checker/pkix_targetcertchecker.h
nss/lib/libpkix/pkix/crlsel/pkix_comcrlselparams.c
nss/lib/libpkix/pkix/crlsel/pkix_comcrlselparams.h
nss/lib/libpkix/pkix/crlsel/pkix_crlselector.c
nss/lib/libpkix/pkix/crlsel/pkix_crlselector.h
nss/lib/libpkix/pkix/params/pkix_procparams.c
nss/lib/libpkix/pkix/params/pkix_procparams.h
nss/lib/libpkix/pkix/params/pkix_resourcelimits.c
nss/lib/libpkix/pkix/params/pkix_resourcelimits.h
nss/lib/libpkix/pkix/params/pkix_trustanchor.c
nss/lib/libpkix/pkix/params/pkix_trustanchor.h
nss/lib/libpkix/pkix/params/pkix_valparams.c
nss/lib/libpkix/pkix/params/pkix_valparams.h
nss/lib/libpkix/pkix/results/pkix_buildresult.c
nss/lib/libpkix/pkix/results/pkix_buildresult.h
nss/lib/libpkix/pkix/results/pkix_policynode.c
nss/lib/libpkix/pkix/results/pkix_policynode.h
nss/lib/libpkix/pkix/results/pkix_valresult.c
nss/lib/libpkix/pkix/results/pkix_valresult.h
nss/lib/libpkix/pkix/results/pkix_verifynode.c
nss/lib/libpkix/pkix/results/pkix_verifynode.h
nss/lib/libpkix/pkix/store/pkix_store.c
nss/lib/libpkix/pkix/store/pkix_store.h
nss/lib/libpkix/pkix/top/pkix_build.c
nss/lib/libpkix/pkix/top/pkix_build.h
nss/lib/libpkix/pkix/top/pkix_lifecycle.c
nss/lib/libpkix/pkix/top/pkix_validate.c
nss/lib/libpkix/pkix/util/pkix_error.c
nss/lib/libpkix/pkix/util/pkix_error.h
nss/lib/libpkix/pkix/util/pkix_list.c
nss/lib/libpkix/pkix/util/pkix_list.h
nss/lib/libpkix/pkix/util/pkix_tools.c
nss/lib/libpkix/pkix/util/pkix_tools.h
nss/lib/libpkix/pkix_pl_nss/module/pkix_pl_colcertstore.c
nss/lib/libpkix/pkix_pl_nss/module/pkix_pl_colcertstore.h
nss/lib/libpkix/pkix_pl_nss/module/pkix_pl_httpcertstore.c
nss/lib/libpkix/pkix_pl_nss/module/pkix_pl_nsscontext.c
nss/lib/libpkix/pkix_pl_nss/module/pkix_pl_nsscontext.h
nss/lib/libpkix/pkix_pl_nss/module/pkix_pl_pk11certstore.c
nss/lib/libpkix/pkix_pl_nss/system/pkix_pl_bigint.c
nss/lib/libpkix/pkix_pl_nss/system/pkix_pl_bigint.h
nss/lib/libpkix/pkix_pl_nss/system/pkix_pl_bytearray.c
nss/lib/libpkix/pkix_pl_nss/system/pkix_pl_bytearray.h
nss/lib/libpkix/pkix_pl_nss/system/pkix_pl_common.c
nss/lib/libpkix/pkix_pl_nss/system/pkix_pl_common.h
nss/lib/libpkix/pkix_pl_nss/system/pkix_pl_hashtable.c
nss/lib/libpkix/pkix_pl_nss/system/pkix_pl_hashtable.h
nss/lib/libpkix/pkix_pl_nss/system/pkix_pl_lifecycle.c
nss/lib/libpkix/pkix_pl_nss/system/pkix_pl_mem.c
nss/lib/libpkix/pkix_pl_nss/system/pkix_pl_monitorlock.c
nss/lib/libpkix/pkix_pl_nss/system/pkix_pl_monitorlock.h
nss/lib/libpkix/pkix_pl_nss/system/pkix_pl_mutex.c
nss/lib/libpkix/pkix_pl_nss/system/pkix_pl_mutex.h
nss/lib/libpkix/pkix_pl_nss/system/pkix_pl_object.c
nss/lib/libpkix/pkix_pl_nss/system/pkix_pl_object.h
nss/lib/libpkix/pkix_pl_nss/system/pkix_pl_oid.c
nss/lib/libpkix/pkix_pl_nss/system/pkix_pl_oid.h
nss/lib/libpkix/pkix_pl_nss/system/pkix_pl_primhash.c
nss/lib/libpkix/pkix_pl_nss/system/pkix_pl_primhash.h
nss/lib/libpkix/pkix_pl_nss/system/pkix_pl_rwlock.c
nss/lib/libpkix/pkix_pl_nss/system/pkix_pl_rwlock.h
nss/lib/libpkix/pkix_pl_nss/system/pkix_pl_string.c
nss/lib/libpkix/pkix_pl_nss/system/pkix_pl_string.h


Version-Release number of selected component (if applicable):
3.19.2

How reproducible:
always (see rpm file)
Comment 1 Fedora Admin XMLRPC Client 2016-08-15 11:53:22 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Christian Stadelmann 2016-09-28 17:05:16 EDT
Still present on version 3.26.0.
Comment 3 Fedora End Of Life 2017-11-16 14:33:19 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.